| Home | Libraries | People | FAQ | More

## Function replace_range_copy

boost::algorithm::replace_range_copy — Replace range algorithm.

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T>
      OutputIteratorT
      replace_range_copy(OutputIteratorT Output, const Range1T & Input,
                         const iterator_range< typename range_const_iterator< Range1T >::type > & SearchRange,
                         const Range2T & Format);
    template<typename SequenceT, typename RangeT>
      SequenceT replace_range_copy(const SequenceT & Input,
                                   const iterator_range< typename range_const_iterator< SequenceT >::type > & SearchRange,
                                   const RangeT & Format);

## Description

Replace the given range in the input string. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

| Note
The second variant of this function provides the strong exception-safety guarantee

Parameters:

`Format` | A substitute string
`Input` | An input string
`Output` | An output iterator to which the result will be copied
`SearchRange` | A range in the input to be substituted

Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input